Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 624988 (CVE-2017-9782) - media-libs/jasper: Denial of Service (CVE-2017-9782)
Summary: media-libs/jasper: Denial of Service (CVE-2017-9782)
Status: RESOLVED FIXED
Alias: CVE-2017-9782
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://github.com/mdadams/jasper/iss...
Whiteboard: B3 [glsa+ cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-14 12:19 UTC by Andrey Ovcharov
Modified: 2019-08-09 20:39 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Ovcharov 2017-07-14 12:19:53 UTC
https://nvd.nist.gov/vuln/detail/CVE-2017-9782

"JasPer 2.0.12 allows remote attackers to cause a denial of service (heap-based buffer over-read and application crash) via a crafted image, related to the jp2_decode function in libjasper/jp2/jp2_dec.c."
Comment 1 GLSAMaker/CVETool Bot gentoo-dev 2017-10-19 17:39:22 UTC
CVE-2017-9782 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-9782):
  JasPer 2.0.12 allows remote attackers to cause a denial of service
  (heap-based buffer over-read and application crash) via a crafted image,
  related to the jp2_decode function in libjasper/jp2/jp2_dec.c.
Comment 2 Yury German Gentoo Infrastructure gentoo-dev Security 2018-11-13 00:03:47 UTC
Not fixed in version 2.0.14
https://github.com/mdadams/jasper/issues/140
Comment 3 Larry the Git Cow gentoo-dev 2019-07-14 10:30:22 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c70fe723dcfe0fabab75f3a76942207018e83e1f

commit c70fe723dcfe0fabab75f3a76942207018e83e1f
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2019-07-14 10:29:20 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2019-07-14 10:29:20 +0000

    package.mask: Last rite media-libs/jasper
    
    Bug: https://bugs.gentoo.org/601068
    Bug: https://bugs.gentoo.org/614028
    Bug: https://bugs.gentoo.org/614032
    Bug: https://bugs.gentoo.org/614566
    Bug: https://bugs.gentoo.org/619120
    Bug: https://bugs.gentoo.org/624988
    Bug: https://bugs.gentoo.org/629286
    Bug: https://bugs.gentoo.org/635552
    Bug: https://bugs.gentoo.org/662160
    Bug: https://bugs.gentoo.org/674154
    Bug: https://bugs.gentoo.org/674214
    Bug: https://bugs.gentoo.org/684826
    Bug: https://bugs.gentoo.org/689784
    Signed-off-by: David Seifert <soap@gentoo.org>

 profiles/base/package.use.mask | 23 +++++++++++++++++++++++
 profiles/package.mask          |  7 +++++++
 2 files changed, 30 insertions(+)
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2019-08-09 20:39:23 UTC
This issue was resolved and addressed in
 GLSA 201908-03 at https://security.gentoo.org/glsa/201908-03
by GLSA coordinator Aaron Bauman (b-man).